Up

# NSControl

### Authors

Scott Christley (`scottc@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

> The abstract control class

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSControl class
2. Software documentation for the NSObject(NSControlDelegate) informal protocol

# Software documentation for the NSControl class

## NSControl : NSView

> Declared in:
>   AppKit/NSControl.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +cellClass
- +setCellClass:
- -abortEditing
- -action
- -alignment
- -attributedStringValue
- -calcSize
- -cell
- -currentEditor
- -doubleValue
- -drawCell:
- -drawCellInside:
- -floatValue
- -font
- -formatter
- -ignoresMultiClick
- -intValue
- -isContinuous
- -isEnabled
- -mouseDown:
- -objectValue
- -performClick:
- -refusesFirstResponder
- -selectCell:
- -selectedCell
- -selectedTag
- -sendAction:to:
- -sendActionOn:
- -setAction:
- -setAlignment:
- -setAttributedStringValue:
- -setCell:
- -setContinuous:
- -setDoubleValue:
- -setEnabled:
- -setFloatValue:
- -setFloatingPointFormat:left:right:
- -setFont:
- -setFormatter:
- -setIgnoresMultiClick:
- -setIntValue:
- -setNeedsDisplay
- -setObjectValue:
- -setRefusesFirstResponder:
- -setStringValue:
- -setTag:
- -setTarget:
- -sizeToFit
- -stringValue
- -tag
- -takeDoubleValueFrom:
- -takeFloatValueFrom:
- -takeIntValueFrom:
- -takeObjectValueFrom:
- -takeStringValueFrom:
- -target
- -updateCell:
- -updateCellInside:
- -validateEditing

### cellClass

+ (Class) cellClass;

Description forthcoming.

### setCellClass:

+ (void) setCellClass: (Class)factoryId;

Description forthcoming.

### abortEditing

- (BOOL) abortEditing;

Description forthcoming.

### action

- (SEL) action;

Description forthcoming.

### alignment

- (NSTextAlignment) alignment;

Description forthcoming.

### attributedStringValue

- (NSAttributedString*) attributedStringValue;

Description forthcoming.

### calcSize

- (void) calcSize;

Description forthcoming.

### cell

- (id) cell;

Description forthcoming.

### currentEditor

- (NSText*) currentEditor;

Description forthcoming.

### doubleValue

- (double) doubleValue;

Description forthcoming.

### drawCell:

- (void) drawCell: (NSCell*)aCell;

Description forthcoming.

### drawCellInside:

- (void) drawCellInside: (NSCell*)aCell;

Description forthcoming.

### floatValue

- (float) floatValue;

Description forthcoming.

### font

- (NSFont*) font;

Description forthcoming.

### formatter

- (id) formatter;

Description forthcoming.

### ignoresMultiClick

- (BOOL) ignoresMultiClick;

Description forthcoming.

### intValue

- (int) intValue;

Description forthcoming.

### isContinuous

- (BOOL) isContinuous;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### mouseDown:

- (void) mouseDown: (NSEvent*)theEvent;

Description forthcoming.

### objectValue

- (id) objectValue;

Description forthcoming.

### performClick:

- (void) performClick: (id)sender;

Description forthcoming.

### refusesFirstResponder

- (BOOL) refusesFirstResponder;

Description forthcoming.

### selectCell:

- (void) selectCell: (NSCell*)aCell;

Description forthcoming.

### selectedCell

- (id) selectedCell;

Description forthcoming.

### selectedTag

- (int) selectedTag;

Description forthcoming.

### sendAction:to:

- (BOOL) sendAction: (SEL)theAction to: (id)theTarget;

Description forthcoming.

### sendActionOn:

- (int) sendActionOn: (int)mask;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)aSelector;

Description forthcoming.

### setAlignment:

- (void) setAlignment: (NSTextAlignment)mode;

Description forthcoming.

### setAttributedStringValue:

- (void) setAttributedStringValue: (NSAttributedString*)attribStr;

Description forthcoming.

### setCell:

- (void) setCell: (NSCell*)aCell;

Description forthcoming.

### setContinuous:

- (void) setContinuous: (BOOL)flag;

Description forthcoming.

### setDoubleValue:

- (void) setDoubleValue: (double)aDouble;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)flag;

Description forthcoming.

### setFloatValue:

- (void) setFloatValue: (float)aFloat;

Description forthcoming.

### setFloatingPointFormat:left:right:

- (void) setFloatingPointFormat: (BOOL)autoRange left: (unsigned)leftDigits right: (unsigned)rightDigits;

Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)fontObject;

Description forthcoming.

### setFormatter:

- (void) setFormatter: (NSFormatter*)newFormatter;

Description forthcoming.

### setIgnoresMultiClick:

- (void) setIgnoresMultiClick: (BOOL)flag;

Description forthcoming.

### setIntValue:

- (void) setIntValue: (int)anInt;

Description forthcoming.

### setNeedsDisplay

- (void) setNeedsDisplay;

Description forthcoming.

### setObjectValue:

- (void) setObjectValue: (id)anObject;

Description forthcoming.

### setRefusesFirstResponder:

- (void) setRefusesFirstResponder: (BOOL)flag;

Description forthcoming.

### setStringValue:

- (void) setStringValue: (NSString*)aString;

Description forthcoming.

### setTag:

- (void) setTag: (int)anInt;

Description forthcoming.

### setTarget:

- (void) setTarget: (id)anObject;

Description forthcoming.

### sizeToFit

- (void) sizeToFit;

Description forthcoming.

### stringValue

- (NSString*) stringValue;

Description forthcoming.

### tag

- (int) tag;

Description forthcoming.

### takeDoubleValueFrom:

- (void) takeDoubleValueFrom: (id)sender;

Description forthcoming.

### takeFloatValueFrom:

- (void) takeFloatValueFrom: (id)sender;

Description forthcoming.

### takeIntValueFrom:

- (void) takeIntValueFrom: (id)sender;

Description forthcoming.

### takeObjectValueFrom:

- (void) takeObjectValueFrom: (id)sender;

Description forthcoming.

### takeStringValueFrom:

- (void) takeStringValueFrom: (id)sender;

Description forthcoming.

### target

- (id) target;

Description forthcoming.

### updateCell:

- (void) updateCell: (NSCell*)aCell;

Description forthcoming.

### updateCellInside:

- (void) updateCellInside: (NSCell*)aCell;

Description forthcoming.

### validateEditing

- (void) validateEditing;

Description forthcoming.

# Software documentation for the NSObject(NSControlDelegate) informal protocol

## NSObject(NSControlDelegate)

> Declared in:
>   AppKit/NSControl.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -control:didFailToFormatString:errorDescription:
- -control:didFailToValidatePartialString:errorDescription:
- -control:isValidObject:
- -control:textShouldBeginEditing:
- -control:textShouldEndEditing:
- -controlTextDidBeginEditing:
- -controlTextDidChange:
- -controlTextDidEndEditing:

### control:didFailToFormatString:errorDescription:

- (BOOL) control: (NSControl*)control didFailToFormatString: (NSString*)string errorDescription: (NSString*)error;

Description forthcoming.

### control:didFailToValidatePartialString:errorDescription:

- (void) control: (NSControl*)control didFailToValidatePartialString: (NSString*)string errorDescription: (NSString*)error;

Description forthcoming.

### control:isValidObject:

- (BOOL) control: (NSControl*)control isValidObject: (id)object;

Description forthcoming.

### control:textShouldBeginEditing:

- (BOOL) control: (NSControl*)control textShouldBeginEditing: (NSText*)fieldEditor;

Description forthcoming.

### control:textShouldEndEditing:

- (BOOL) control: (NSControl*)control textShouldEndEditing: (NSText*)fieldEditor;

Description forthcoming.

### controlTextDidBeginEditing:

- (void) controlTextDidBeginEditing: (NSNotification*)aNotification;

Description forthcoming.

### controlTextDidChange:

- (void) controlTextDidChange: (NSNotification*)aNotification;

Description forthcoming.

### controlTextDidEndEditing:

- (void) controlTextDidEndEditing: (NSNotification*)aNotification;

Description forthcoming.

Up